// Server-side token functions (only for Server Components)
export async function getServerSessionId() {
  const { cookies } = await import("next/headers");
  return (await cookies()).get("activeSessionId")?.value;
}

// Client-side token functions
export function getClientSessionId(): string | null {
  if (typeof window === "undefined") return null;

  return localStorage.getItem("activeSessionId");
}
